## colorspacious 1.0.0

=== debian/changelog ===
colorspacious (1.0.0-1) unstable; urgency=low

  * Initial release; Closes: 837435

 -- Sandro Tosi <morph@debian.org>  Sun, 18 Sep 2016 18:48:37 +0000

## colorspacious 1.1.2

=== doc/requirements.txt ===
numpy
matplotlib

mistune
jsonschema
ipython

sphinx_rtd_theme

sphinxcontrib-bibtex

## colorspacious 1.1.0

=== debian/changelog ===
colorspacious (1.1.0-1) unstable; urgency=medium

  * New upstream release
  * debian/copyright
    - update copyright holders

 -- Sandro Tosi <morph@debian.org>  Sat, 10 Dec 2016 12:31:43 -0500

=== debian/control ===
Source: colorspacious
Section: python
Priority: optional
Maintainer: Sandro Tosi <morph@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 9), dh-python,
               python-all,
               python-numpy,
               python-setuptools,
               python3-all,
               python3-numpy,
               python3-setuptools,
               python3-sphinx,
Standards-Version: 3.9.8
Homepage: https://github.com/njsmith/colorspacious
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/colorspacious.git
Vcs-Browser: https://anonscm.debian.org/git/python-modules/packages/colorspacious.git

Package: python-colorspacious
Architecture: all
Depends: ${misc:Depends}, ${python:Depends},
Recommends: ${python:Recommends}
Suggests: ${python:Suggests}
Description: library for doing colorspace conversions - Python 2.X
 Colorspacious is a powerful, accurate, and easy-to-use library for
 performing colorspace conversions.
 .
 In addition to the most common standard colorspaces (sRGB, XYZ, xyY,
 CIELab, CIELCh), we also include: color vision deficiency ("color
 blindness") simulations using the approach of Machado et al (2009); a
 complete implementation of `CIECAM02
 <https://en.wikipedia.org/wiki/CIECAM02>`_; and the perceptually
 uniform CAM02-UCS / CAM02-LCD / CAM02-SCD spaces proposed by Luo et al
 (2006).
 .
 This package contains the python 2 version of colorspacious

Package: python3-colorspacious
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
Recommends: ${python3:Recommends}
Suggests: ${python3:Suggests}
Description: library for doing colorspace conversions - Python 3.x
 Colorspacious is a powerful, accurate, and easy-to-use library for
 performing colorspace conversions.
 .
 In addition to the most common standard colorspaces (sRGB, XYZ, xyY,
 CIELab, CIELCh), we also include: color vision deficiency ("color
 blindness") simulations using the approach of Machado et al (2009); a
 complete implementation of `CIECAM02
 <https://en.wikipedia.org/wiki/CIECAM02>`_; and the perceptually
 uniform CAM02-UCS / CAM02-LCD / CAM02-SCD spaces proposed by Luo et al
 (2006).
 .
 This package contains the python 3 version of colorspacious

#Package: python-colorspacious-doc
#Section: doc
#Architecture: all
#Priority: extra
#Depends: ${misc:Depends}, ${sphinxdoc:Depends}
#Description: documentation for the colorspacious Python library
# This package provides documentation for colorspacious

=== debian/rules ===
#! /usr/bin/make -f

export LC_ALL=C.UTF-8

export PYBUILD_NAME=colorspacious
%:
	dh $@ --with python3,python2,sphinxdoc --buildsystem=pybuild

#override_dh_auto_build-indep:
#ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
#	cd doc && \
#	PYTHONPATH=$(CURDIR) http_proxy='http://127.0.0.1:9/' https_proxy='https://127.0.0.1:9/' \
#	sphinx-build -N -E -T -b html . $(CURDIR)/.pybuild/docs/html/
#	rm -rf $(CURDIR)/.pybuild/docs/html/.doctrees
#endif

## colorspacious 1.1.2

=== debian/changelog ===
colorspacious (1.1.2-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Convert git repository from git-dpm to gbp layout
  * d/control: Remove trailing whitespaces
  * Use debhelper-compat instead of debian/compat.

  [ Sandro Tosi ]
  * Drop python2 support; Closes: #936319
  * debian/control
    - bump Standards-Version to 4.4.1 (no changes needed)
  * debian/copyright
    - extend packaging copyright years

 -- Sandro Tosi <morph@debian.org>  Wed, 13 Nov 2019 17:29:58 -0500

colorspacious (1.1.2-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field

  [ Sandro Tosi ]
  * New upstream release
  * debian/copyright
    - extend packaging copyright years
  * debian/control
    - bump Standards-Version to 4.1.4 (no changes needed)

 -- Sandro Tosi <morph@debian.org>  Fri, 08 Jun 2018 13:58:25 -0400

=== debian/control ===
Source: colorspacious
Section: python
Priority: optional
Maintainer: Sandro Tosi <morph@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper-compat (= 9), dh-python,
               python3-all,
               python3-numpy,
               python3-setuptools,
               python3-sphinx,
Standards-Version: 4.4.1
Homepage: https://github.com/njsmith/colorspacious
Vcs-Git: https://salsa.debian.org/python-team/modules/colorspacious.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/colorspacious

Package: python3-colorspacious
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
Recommends: ${python3:Recommends}
Suggests: ${python3:Suggests}
Description: library for doing colorspace conversions - Python 3.x
 Colorspacious is a powerful, accurate, and easy-to-use library for
 performing colorspace conversions.
 .
 In addition to the most common standard colorspaces (sRGB, XYZ, xyY,
 CIELab, CIELCh), we also include: color vision deficiency ("color
 blindness") simulations using the approach of Machado et al (2009); a
 complete implementation of `CIECAM02
 <https://en.wikipedia.org/wiki/CIECAM02>`_; and the perceptually
 uniform CAM02-UCS / CAM02-LCD / CAM02-SCD spaces proposed by Luo et al
 (2006).
 .
 This package contains the python 3 version of colorspacious

#Package: python-colorspacious-doc
#Section: doc
#Architecture: all
#Priority: extra
#Depends: ${misc:Depends}, ${sphinxdoc:Depends}
#Description: documentation for the colorspacious Python library
# This package provides documentation for colorspacious

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 export PYBUILD_NAME=colorspacious
 %:
-	dh $@ --with python3,python2,sphinxdoc --buildsystem=pybuild
+	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
 
 #override_dh_auto_build-indep:
 #ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))

=== debian/watch ===
# try also https://pypi.debian.net/colorspacious/watch
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/colorspacious/colorspacious-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
